Loading...
Searching...
No Matches
coap_dtls.c File Reference

CoAP (D)TLS handling functions. More...

`#include "coap3/coap_libcoap_build.h"`
Include dependency graph for coap_dtls.c:

Go to the source code of this file.

## Functions

void | coap_dtls_map_key_type_to_define (const coap_dtls_pki_t *setup_data, coap_dtls_key_t *key)
| Map the PKI key definitions to the new DEFINE format.
static const char * | coap_dtls_get_define_type (coap_pki_define_t def, coap_const_char_ptr_t name)
int | coap_dtls_define_issue (coap_define_issue_key_t type, coap_define_issue_fail_t fail, coap_dtls_key_t *key, const coap_dtls_role_t role, int ret)
| Report PKI DEFINE type issue.
void | coap_dtls_establish (coap_session_t *session)
| Layer function interface for layer below DTLS connect being established.
void | coap_dtls_close (coap_session_t *session)
| Layer function interface for DTLS close for a session.
void | coap_tls_establish (coap_session_t *session)
| Layer function interface for layer below TLS accept/connect being established.
void | coap_tls_close (coap_session_t *session)
| Layer function interface for TLS close for a session.

## Detailed Description

CoAP (D)TLS handling functions.

Definition in file coap_dtls.c.

## Function Documentation

## coap_dtls_get_define_type()

const char * coap_dtls_get_define_type | ( | coap_pki_define_t | def,
|  | coap_const_char_ptr_t | name )

static

Definition at line 140 of file coap_dtls.c.

Here is the caller graph for this function: